# ace::EvaluationTables Class Reference

Class evaluates contigency and expected frequency tables. More...

`#include <evaluation.h>`

List of all members.

## Public Member Functions
| EvaluationTables (const freq_table_t frequencies)
| Constructor expects *-frequencies table.
const freq_table_t & | frequency (void) const
const freq_table_t & | contigency (void) const
const freq_table_t & | inverted_frequency (void) const
const exp_table_t & | expected_frequency (void) const
size_t | size (void) const
## Static Public Member Functions
static void | init (void)
| Performs start-up (static) initialization.
## Private Attributes
const freq_table_t | _freq
| Frequency table (is passed from outside, so shall be const).
freq_table_t | _cont
| Contigency table.
freq_table_t | _inv
| Inverted frequency table.
exp_table_t | _exp
| Expected frequency table.
## Static Private Attributes
static std::vector < std::vector< size_t > > | _bits_for_cont_table
| Container for information used for contingency table evaluation.
static std::vector < std::vector< size_t > > | _bits_for_inv_table
| Container for information used for inv.
## Friends
double | eval::chi_square_test (const EvaluationTables &tables)
double | eval::log_likelihood_ratio (const EvaluationTables &tables)
double | eval::mutual_information (const EvaluationTables &tables)
double | eval::pearsons_coefficient (const EvaluationTables &tables)
double | eval::t_test (const EvaluationTables &tables)
double | eval::z_score (const EvaluationTables &tables)

## Detailed Description

Class evaluates contigency and expected frequency tables.

## Constructor & Destructor Documentation

ace::EvaluationTables::EvaluationTables | ( | const freq_table_t | frequencies | ) |

Constructor expects *-frequencies table.

Parameters:

  | frequencies | Table with *-frequencies of certain N-gram.

## Member Function Documentation

void ace::EvaluationTables::init | ( | void |  | ) | `[static]`

Performs start-up (static) initialization.

Must be called before any EvaluationTables object is initialized.

const freq_table_t& ace::EvaluationTables::frequency | ( | void |  | ) | const`[inline]`

Returns:
  *-frequency table.

const freq_table_t& ace::EvaluationTables::contigency | ( | void |  | ) | const`[inline]`

Returns:
  Contigency table.

const freq_table_t& ace::EvaluationTables::inverted_frequency | ( | void |  | ) | const`[inline]`

Returns:
  Inverted *-frequency table.

const exp_table_t& ace::EvaluationTables::expected_frequency | ( | void |  | ) | const`[inline]`

Returns:
  Expected *-frequency table.

size_t ace::EvaluationTables::size | ( | void |  | ) | const`[inline]`

Returns:
  Size of frequency table (which is equal to size of any table).

## Friends And Related Function Documentation

double eval::chi_square_test | ( | const EvaluationTables & | tables | ) | `[friend]`

double eval::log_likelihood_ratio | ( | const EvaluationTables & | tables | ) | `[friend]`

double eval::mutual_information | ( | const EvaluationTables & | tables | ) | `[friend]`

double eval::pearsons_coefficient | ( | const EvaluationTables & | tables | ) | `[friend]`

double eval::t_test | ( | const EvaluationTables & | tables | ) | `[friend]`

double eval::z_score | ( | const EvaluationTables & | tables | ) | `[friend]`

## Member Data Documentation

std::vector< std::vector< size_t > > ace::EvaluationTables::_bits_for_cont_table`[static, private]`

Container for information used for contingency table evaluation.

std::vector< std::vector< size_t > > ace::EvaluationTables::_bits_for_inv_table`[static, private]`

Container for information used for inv.

frequency table evaluation.

const freq_table_t ace::EvaluationTables::_freq`[private]`

Frequency table (is passed from outside, so shall be const).

f(A,*,C) [101]

freq_table_t ace::EvaluationTables::_cont`[private]`

Contigency table.

f(A,!B,C) [101]

freq_table_t ace::EvaluationTables::_inv`[private]`

Inverted frequency table.

f(*,!B,*) [101]

exp_table_t ace::EvaluationTables::_exp`[private]`

Expected frequency table.

The documentation for this class was generated from the following files:

- proto/Source/evaluation.h
- proto/Source/evaluation.cpp